#
# spec file for package libreiserfs (Version 0.3.0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libreiserfs
URL:            http://reiserfs.linux.kiev.ua
Version:        0.3.0.5
Release:        16.2
License:        GPL
Group:          System/Libraries
PreReq:         %install_info_prereq
Autoreqprov:    on
Summary:        ReiserFS File System Access Library
Source:         http://ftp.roedu.net/pub/mirrors/ftp.namesys.com/pub/libreiserfs/progsreiserfs-%{version}.tar.gz
Patch1:         reiserfs-strict-aliasing.diff
Patch2:         reiserfs-fix-warn.diff
Patch3:         reiserfs-dal-64bit.diff
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library for reiserfs file system access and manipulation. The
primary goal is to develop the nice, full functionality library that
can be linked to any projects that needed reiserfs file system access.
These include GNU Parted, GNU GRUB, Yaboot, Partimage, and EVMS.

The second goal is high maintainability source code.

The third goal is to develop an alternative set of the reiserfs
programs as small and nice front-ends to this library.

libreiserfs has a number of high level APIs for accessing reiserfs file
systems. There are main file system code (reiserfs_fs_open,
reiserfs_fs_close, reiserfs_fs_create, reiserfs_fs_resize,
reiserfs_fs_journal_tune, etc), journal code, bitmap code, directories
and files access code, and device abstraction layer.

progsreiserfs supports versions 3.5 and 3.6 with standard and relocated
journal. It also supports all possible block sizes supported by the
kernel (2.4.18 with patches or 2.4.19).

The project home page is http://reiserfs.linux.kiev.ua/.



Authors:
--------
    Yury Umanets <torque@ukrpost.net>
    Andrew Clausen <clausen@gnu.org>

%debug_package
%package progs
Summary:        reiserfs filesystem access tools
Group:          System/Libraries
Conflicts:      reiserfs

%description progs
This is a library for reiserfs filesystem access and manipulation. The
primary goal is to develop the nice, full functionality library wich
might be linked against any projects which needed reiserfs filesystem
access. There are GNU Parted, GNU GRUB, Yaboot, Partimage, EVMS, etc.

The second goal is high maintainability source code.

The third goal is to develop an alternative set of the reiserfsprogs as
small and nice frontends to this library.

This package contains four programs that are simple frontends to
libreiserfs. There are: mkfs.reiserfs, resizefs.reiserfs,
cpfs.reiserfs, tunefs.reiserfs

progsreiserfs supports versions 3.5, 3.6 with standard and relocated
journal. Also all possible blocksizes which supported by kernel (2.4.18
with patches or 2.4.19)

The project homepage is http://reiserfs.linux.kiev.ua



Authors:
--------
    Yury Umanets <torque@ukrpost.net>
    Andrew Clausen <clausen@gnu.org>

%package devel
Summary:        reiserfs filesystem access tools
Group:          System/Libraries
Requires:       %name = %version

%description devel
This is a library for reiserfs filesystem access and manipulation. The
primary goal is to develop the nice, full functionality library wich
might be linked against any projects which needed reiserfs filesystem
access. There are GNU Parted, GNU GRUB, Yaboot, Partimage, EVMS, etc.

The second goal is high maintainability source code.

The third goal is to develop an alternative set of the reiserfsprogs as
small and nice frontends to this library.

This package contains four programs that are simple frontends to
libreiserfs. There are: mkfs.reiserfs, resizefs.reiserfs,
cpfs.reiserfs, tunefs.reiserfs

progsreiserfs supports versions 3.5, 3.6 with standard and relocated
journal. Also all possible blocksizes which supported by kernel (2.4.18
with patches or 2.4.19)

The project homepage is http://reiserfs.linux.kiev.ua



Authors:
--------
    Yury Umanets <torque@ukrpost.net>
    Andrew Clausen <clausen@gnu.org>

%prep
%setup -n progsreiserfs-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
libtoolize --force
autoreconf

%build
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS"
#CFLAGS+=--with-capabilities
./configure  --enable-shared --prefix=/usr \
	--mandir=%{_mandir} --infodir=%{_infodir} \
	--libdir=%{_libdir} --libexecdir=%{_libdir}
make
#make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libdal-*.so.*
%{_libdir}/libreiserfs-*.so.*
%{_mandir}/man8/reiserfs.8.gz

%files devel
%defattr(-,root,root)
%dir /usr/include/dal
%dir /usr/include/reiserfs
/usr/include/dal/*.h
/usr/include/reiserfs/*.h
%{_libdir}/libdal.a
%{_libdir}/libdal.la
%{_libdir}/libdal.so
%{_libdir}/libreiserfs.a
%{_libdir}/libreiserfs.la
%{_libdir}/libreiserfs.so
/usr/share/aclocal/progsreiserfs.m4

%files progs
%defattr(-,root,root)
/usr/sbin/cpfs.reiserfs
/usr/sbin/mkfs.reiserfs
/usr/sbin/resizefs.reiserfs
/usr/sbin/tunefs.reiserfs
%{_mandir}/man8/cpfs.reiserfs.8.gz
%{_mandir}/man8/mkfs.reiserfs.8.gz
%{_mandir}/man8/resizefs.reiserfs.8.gz
%{_mandir}/man8/tunefs.reiserfs.8.gz

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/progsreiserfs-%{pversion}

%changelog -n libreiserfs
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - kukuk@suse.de
- Correct last fix for Bug [#140302]
- Create -devel subpackage
* Wed Dec 21 2005 - mmj@suse.de
- This package conflicts with reiserfs
* Mon Dec 19 2005 - garloff@suse.de
- Fix strict-aliasing issues.
- Fix some more compiler warnings.
* Mon Sep 05 2005 - garloff@suse.de
- Initial creation of package (0.3.0.5).
- Use .so as extension for shared libs.
